# EnchantmentName.EnchantmentLevelName (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Class EnchantmentName.EnchantmentLevelName

- java.lang.Object
- - de.epiceric.shopchest.language.EnchantmentName.EnchantmentLevelName

Enclosing class:
  EnchantmentName

    public static class EnchantmentName.EnchantmentLevelName
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EnchantmentLevelName(int level, String localizedName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLevel()`
`String` `getLocalizedName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnchantmentLevelName

    public EnchantmentLevelName(int level,
                                String localizedName)

### Method Detail

#### getLevel

    public int getLevel()

Returns:
  Level linked to the name

#### getLocalizedName

    public String getLocalizedName()

Returns:
  Name linked to the level